Dispatch Rich Media Attachments
curl --request POST \
--url https://crm.wachat.net/api/v1/send/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceName": "<string>",
"number": "<string>",
"type": "image",
"mediaUrl": "https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png",
"message": "Check out this month exciting promotions!",
"fileName": "promotion-7474039_1280.png",
"mimetype": "image/png",
"delay": 123
}
'import requests
url = "https://crm.wachat.net/api/v1/send/media"
payload = {
"instanceName": "<string>",
"number": "<string>",
"type": "image",
"mediaUrl": "https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png",
"message": "Check out this month exciting promotions!",
"fileName": "promotion-7474039_1280.png",
"mimetype": "image/png",
"delay": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instanceName: '<string>',
number: '<string>',
type: 'image',
mediaUrl: 'https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png',
message: 'Check out this month exciting promotions!',
fileName: 'promotion-7474039_1280.png',
mimetype: 'image/png',
delay: 123
})
};
fetch('https://crm.wachat.net/api/v1/send/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.wachat.net/api/v1/send/media",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'instanceName' => '<string>',
'number' => '<string>',
'type' => 'image',
'mediaUrl' => 'https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png',
'message' => 'Check out this month exciting promotions!',
'fileName' => 'promotion-7474039_1280.png',
'mimetype' => 'image/png',
'delay' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.wachat.net/api/v1/send/media"
payload := strings.NewReader("{\n \"instanceName\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"image\",\n \"mediaUrl\": \"https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png\",\n \"message\": \"Check out this month exciting promotions!\",\n \"fileName\": \"promotion-7474039_1280.png\",\n \"mimetype\": \"image/png\",\n \"delay\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://crm.wachat.net/api/v1/send/media")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"instanceName\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"image\",\n \"mediaUrl\": \"https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png\",\n \"message\": \"Check out this month exciting promotions!\",\n \"fileName\": \"promotion-7474039_1280.png\",\n \"mimetype\": \"image/png\",\n \"delay\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.wachat.net/api/v1/send/media")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"instanceName\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"image\",\n \"mediaUrl\": \"https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png\",\n \"message\": \"Check out this month exciting promotions!\",\n \"fileName\": \"promotion-7474039_1280.png\",\n \"mimetype\": \"image/png\",\n \"delay\": 123\n}"
response = http.request(request)
puts response.read_bodyMessages
Send Media Message
Stream high-fidelity rich media assets including documents, audio files, images, and marketing videos directly to recipients along with automated typing simulation workflows.
POST
/
send
/
media
Dispatch Rich Media Attachments
curl --request POST \
--url https://crm.wachat.net/api/v1/send/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceName": "<string>",
"number": "<string>",
"type": "image",
"mediaUrl": "https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png",
"message": "Check out this month exciting promotions!",
"fileName": "promotion-7474039_1280.png",
"mimetype": "image/png",
"delay": 123
}
'import requests
url = "https://crm.wachat.net/api/v1/send/media"
payload = {
"instanceName": "<string>",
"number": "<string>",
"type": "image",
"mediaUrl": "https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png",
"message": "Check out this month exciting promotions!",
"fileName": "promotion-7474039_1280.png",
"mimetype": "image/png",
"delay": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instanceName: '<string>',
number: '<string>',
type: 'image',
mediaUrl: 'https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png',
message: 'Check out this month exciting promotions!',
fileName: 'promotion-7474039_1280.png',
mimetype: 'image/png',
delay: 123
})
};
fetch('https://crm.wachat.net/api/v1/send/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.wachat.net/api/v1/send/media",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'instanceName' => '<string>',
'number' => '<string>',
'type' => 'image',
'mediaUrl' => 'https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png',
'message' => 'Check out this month exciting promotions!',
'fileName' => 'promotion-7474039_1280.png',
'mimetype' => 'image/png',
'delay' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.wachat.net/api/v1/send/media"
payload := strings.NewReader("{\n \"instanceName\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"image\",\n \"mediaUrl\": \"https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png\",\n \"message\": \"Check out this month exciting promotions!\",\n \"fileName\": \"promotion-7474039_1280.png\",\n \"mimetype\": \"image/png\",\n \"delay\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://crm.wachat.net/api/v1/send/media")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"instanceName\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"image\",\n \"mediaUrl\": \"https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png\",\n \"message\": \"Check out this month exciting promotions!\",\n \"fileName\": \"promotion-7474039_1280.png\",\n \"mimetype\": \"image/png\",\n \"delay\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.wachat.net/api/v1/send/media")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"instanceName\": \"<string>\",\n \"number\": \"<string>\",\n \"type\": \"image\",\n \"mediaUrl\": \"https://cdn.pixabay.com/photo/2022/09/23/09/13/promotion-7474039_1280.png\",\n \"message\": \"Check out this month exciting promotions!\",\n \"fileName\": \"promotion-7474039_1280.png\",\n \"mimetype\": \"image/png\",\n \"delay\": 123\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Body
application/json
Response
200
Media payload processed and dispatched through the cloud instance infrastructure.
